package w3c.jigsaw.upgrade.from1to2;

import java.io.*;

public class UpgradeAttributeHolderAttribute extends UpgradeAttribute {

    protected void pickle(DataOutputStream out) 
	throws IOException
    {
	byte bits[] = (byte[]) val;
	out.writeShort(bits.length);
	out.write(bits);
    }

    UpgradeAttributeHolderAttribute(w3c.tools.store.Attribute attr
				    , Object val) {
	super(attr, val);
    }
}


